All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.graphics.components
Class PlotValueZone

    com.sas.graphics.components.PlotValueZone

    @SASScope(value="ALL")
    public class PlotValueZone

A BarChartValueZone is used in conjunction with the BarChartImageMapInfo class to record imagemap information to identify graphic element locations with their associated data. For example it can be used to identify values on the category axis, bar elements. The data herein is specific to the bar chart variable roles.

Since:
  SAS 9.1

Constructor Summary
`PlotValueZone(java.awt.Shape shape, TupleElementInterface tupleElement, ValueList columnValue, ValueList rowValue, ValueList xValue, ValueList yValue, ValueList y2Value, ValueList sizeValue, ValueList groupValue)`
`PlotValueZone(java.awt.Shape shape, TupleElementInterface tupleElement, ValueList columnValue, ValueList rowValue, ValueList xValue, ValueList yValue, ValueList y2Value, ValueList sizeValue, ValueList groupValue, ValueList dataTipValue, ValueList auxiliaryValue)`
`PlotValueZone(java.awt.Shape shape, ValueList columnValue, ValueList rowValue, ValueList xValue, ValueList yValue, ValueList y2Value, ValueList sizeValue, ValueList groupValue)`
`PlotValueZone(java.awt.Shape shape, ValueList columnValue, ValueList rowValue, ValueList xValue, ValueList yValue, ValueList y2Value, ValueList sizeValue, ValueList groupValue, ValueList dataTipValue, ValueList auxiliaryValue)`

Method Summary
`ValueList` | `getAuxiliaryValue()` Returns the auxiliaryValue.
`ValueList` | `getColumnValue()` Returns the columnValue.
`ValueList` | `getDataTipValue()` Returns the dataTipValue.
`ValueList` | `getGroupValue()` Returns the groupValue.
`ValueList` | `getRowValue()` Returns the rowValue.
`ValueList` | `getSizeValue()` Returns the sizeValue.
`ValueList` | `getXValue()` Returns the xValue.
`ValueList` | `getY2Value()` Returns the y2Value.
`ValueList` | `getYValue()` Returns the yValue.

Methods inherited from class com.sas.graphics.components.DataZone
`getAnnotationValue, getShape, getTupleElement`

Constructor Detail

### PlotValueZone

    public PlotValueZone(java.awt.Shape shape,
                         ValueList columnValue,
                         ValueList rowValue,
                         ValueList xValue,
                         ValueList yValue,
                         ValueList y2Value,
                         ValueList sizeValue,
                         ValueList groupValue)

### PlotValueZone

    public PlotValueZone(java.awt.Shape shape,
                         ValueList columnValue,
                         ValueList rowValue,
                         ValueList xValue,
                         ValueList yValue,
                         ValueList y2Value,
                         ValueList sizeValue,
                         ValueList groupValue,
                         ValueList dataTipValue,
                         ValueList auxiliaryValue)

### PlotValueZone

    public PlotValueZone(java.awt.Shape shape,
                         TupleElementInterface tupleElement,
                         ValueList columnValue,
                         ValueList rowValue,
                         ValueList xValue,
                         ValueList yValue,
                         ValueList y2Value,
                         ValueList sizeValue,
                         ValueList groupValue)

### PlotValueZone

    public PlotValueZone(java.awt.Shape shape,
                         TupleElementInterface tupleElement,
                         ValueList columnValue,
                         ValueList rowValue,
                         ValueList xValue,
                         ValueList yValue,
                         ValueList y2Value,
                         ValueList sizeValue,
                         ValueList groupValue,
                         ValueList dataTipValue,
                         ValueList auxiliaryValue)

Method Detail

### getColumnValue

    public ValueList getColumnValue()

  Returns the columnValue.

  Returns:
    ValueList

### getRowValue

    public ValueList getRowValue()

  Returns the rowValue.

  Returns:
    ValueList

### getXValue

    public ValueList getXValue()

  Returns the xValue.

  Returns:
    ValueList

### getYValue

    public ValueList getYValue()

  Returns the yValue.

  Returns:
    ValueList

### getY2Value

    public ValueList getY2Value()

  Returns the y2Value.

  Returns:
    ValueList

### getSizeValue

    public ValueList getSizeValue()

  Returns the sizeValue.

  Returns:
    ValueList

### getGroupValue

    public ValueList getGroupValue()

  Returns the groupValue.

  Returns:
    ValueList

### getDataTipValue

    public ValueList getDataTipValue()

  Returns the dataTipValue.

  Returns:
    ValueList

### getAuxiliaryValue

    public ValueList getAuxiliaryValue()

  Returns the auxiliaryValue.

  Returns:
    ValueList

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.